:root {
  --mainFont: 'Roboto', sans-serif;
  --secondaryFont: 'Roboto Condensed', sans-serif;
  --primaryColor: #1B90FC;
  --white: #ffffff;
  --black: #202020;

}

body {
  /* border: 1px solid red; */
  margin: 0;
  font-family: var(--mainFont);
}

.wrapper {
  max-inline-size: 1920px;
  margin: auto;
  /* border: 1px solid green; */
  /* overflow: hidden; */
}

p, h1 {
  margin: 0;
}

.hero h1 {
  font-family: var(--secondaryFont);
  font-size: 40px;
  margin-block-end: 8px;
  margin-block-start: 1rem;
}

.hero p {
  font-family: var(--mainFont);
  font-size: 16px;
  line-height: 24px;
  margin-block-end: 24px;

}

.hero-content{
  display: flex;
  flex-direction: row;
  block-size: 768px;
  align-items: center;
  margin-left: 10%;
  margin-right: 10%;
}

.card{
  max-inline-size: 25rem;
  color: var(--white);
  z-index: 2;
  position: relative;
}

.hero::before{
  content: '';
  inline-size: 50%;
  display: block;
  background: var(--black);
  position: absolute;
  inset-block: 0;
  z-index: 1;
  clip-path: polygon(0 0, calc(100% - 151px) 0, 100% 100%, 0 100% );

}

.hero {
  /* border: 1px solid red; */
  /* background-color: red; */
  background-color: var(--black);
  background-image: url(../images/imagen-loki.jpg);
  background-repeat: no-repeat;
  background-position: center;
  /* background-size: cover; */
  position: relative;
  clip-path: polygon(0 0, 100% 0, 100% calc(100% - 128px), 0 100%);
}

img {
  max-inline-size: 100%;
}

button {
  background: var(--primaryColor);
  color: var(--white);
  padding-block: 16px;
  padding-inline: 32px;
  border: none;
  border-radius: 50px;
  cursor: pointer;
  font-family: var(--mainFont);
  font-weight: bold;
  text-transform: uppercase;
  line-height: 16px;
}

button:hover{
  text-decoration: underline;

}

button:active{
  transform: scale(.95);
}

@media screen and (max-width: 1000px) {

.hero {
 background-size: 100%;
 background-position: top;
 background-attachment: scroll;
 clip-path: none;
}

.hero::before{
  inline-size: 1%;
  clip-path: none;

}

.hero-content{
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.card{
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  margin-bottom: 30%;

}

button {
  flex: 1;
}

img {
  max-inline-size: 30%;
  vertical-align: middle;

}
}

